Name:           maven-resources-plugin
Version:        2.5
Release:        %mkrel 2
Summary:        Maven Resources Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-resources-plugin
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-resources-plugin-2.5 maven-resources-plugin-2.5
#tar zcf maven-resources-plugin-2.5.tar.gz maven-resources-plugin-2.5/
Source0:        %{name}-%{version}.tar.gz

# Relocation of plexus-container-default is necessary as sisu gets to the
# classpath first and uses an old version of a class from container-default
Patch0:         %{name}-plexus-dep.patch

BuildArch: noarch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-shared-reporting-impl
BuildRequires: plexus-interpolation
BuildRequires: plexus-digest
BuildRequires: maven-project
BuildRequires: maven-monitor
BuildRequires: maven-filtering
BuildRequires: forge-parent

Requires: plexus-build-api
Requires: plexus-containers-container-default
Requires: plexus-utils
Requires: plexus-interpolation
Requires: maven-plugin-testing-harness
Requires: maven-filtering
Requires: maven
Requires: maven-project
Requires: maven-monitor
Requires:       jpackage-utils
Requires:       java

Provides:       maven2-plugin-resources = %{version}-%{release}
Obsoletes:      maven2-plugin-resources <= 0:2.0.8

%description
The Resources Plugin handles the copying of project resources
to the output directory.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
sed -i "s|<artifactId>plexus-maven-plugin</artifactId>|<artifactId>plexus-component-metadata</artifactId>|" pom.xml
sed -i "s|<goal>test-descriptor</goal>|<goal>generate-test-metadata</goal>|" pom.xml
%build
mvn-rpmbuild \
        -Dmaven.test.failure.ignore=true \
        install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/


%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Mar 03 2012 dmorgan <dmorgan> 2.5-2.mga2
+ Revision: 217063
- Rebuild because of missing rpms

* Mon Jan 02 2012 gil <gil> 2.5-1.mga2
+ Revision: 189524
- replaced test-descriptor with generate-test-metadata
- replaced plexus-maven-plugin with plexus-component-metadata

  + dmorgan <dmorgan>
    - New version 2.5
    - Add several packages to BR/R as stated in pom.xml
    - Build with maven 3.
      Add plexus-build-api to Requires

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4.3-3.mga1
+ Revision: 92724
- Rebuild after bootstrapping
- imported package maven-resources-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

*Thu Sep 09 2010 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.4.3-1
- Update to 2.4.3

* Fri May 21 2010 Hui Wang <huwang@redhat.com> - 2.2-6
- delete duplicate maven2-plugin-jar
- delete source1

* Tue May 20 2010 Hui Wang <huwang@redhat.com> - 2.2-5
- Add maven-resources-plugin-demap.xml 
- Set maven test ignore

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.2-4
- Add missing obsoletes/provides

* Wed May 19 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Add missing BR:maven-shared-reporting-impl

* Mon May 17 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Fixed install -pm 644 pom.xml

* Thu May 13 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
